<?php

declare(strict_types=1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */

namespace App\Controller;

use App\Jmcomic\APINodeObtain;
use App\Model\Album;
use Hyperf\Config\Annotation\Value;
use Hyperf\Di\Annotation\Inject;

class IndexController extends AbstractController
{
    #[Inject]
    private \Hyperf\Contract\ConfigInterface $config;

    #[Inject]
    private APINodeObtain $nodeObtain;

    public function index(): array
    {
        // var_dump($this->nodes->getAvailableNode());
        $user = $this->request->input('user', 'Hyperf');
        $method = $this->request->getMethod();
        $url = $this->nodeObtain->get();
        var_dump($url);

        return [
            'method' => $method,
            'message' => "Hello {$user}.",
        ];
    }
}
