<?php

declare (strict_types=1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */

namespace App\Model;

use Hyperf\Snowflake\Concern\Snowflake;

/**
 * @property int $id
 * @property string $name
 * @property string $author
 * @property string $description
 * @property int $chapters
 * @property string $published
 * @property string $last_updated
 * @property int $source_id
 * @property string $cover
 * @property string $tags
 * @property \Carbon\Carbon $updated_at
 * @property \Carbon\Carbon $created_at
 */
class Album extends Model
{
    use Snowflake;

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'album';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [];
    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = ['id' => 'integer', 'chapters' => 'integer', 'source_id' => 'integer', 'author' => 'array', 'tags' => 'array', 'updated_at' => 'datetime', 'created_at' => 'datetime'];
}