<?php

declare (strict_types=1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */
namespace App\Model;

use Hyperf\Snowflake\Concern\Snowflake;
/**
 * @property int $id 
 * @property int $album_id 
 * @property string $name 
 * @property int $sort 
 * @property int $source_id 
 * @property int $images 
 * @property string $publish_at 
 * @property \Carbon\Carbon $updated_at 
 * @property \Carbon\Carbon $created_at 
 */
class Chapter extends Model
{
    use Snowflake;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'chapter';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [];
    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = ['id' => 'integer', 'album_id' => 'integer', 'sort' => 'integer', 'source_id' => 'integer', 'images' => 'integer', 'updated_at' => 'datetime', 'created_at' => 'datetime'];
}