<?php

declare(strict_types=1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */

namespace App\Nsq\Consumer;

use App\Transfer\TransferFactory;
use Hyperf\Di\Annotation\Inject;
use Hyperf\Nsq\AbstractConsumer;
use Hyperf\Nsq\Annotation\Consumer;
use Hyperf\Nsq\Message;
use Hyperf\Nsq\Result;

#[Consumer(topic: 'image_transfer', channel: 'image_transfer', name: 'ImageTransferConsumer', nums: 1)]
class ImageTransferConsumer extends AbstractConsumer
{
    #[Inject]
    protected TransferFactory $transferFactory;

    public function isEnable(): bool
    {
        return false;
    }

    public function consume(Message $message): ?string
    {
//        dump('test');
//        $payload = json_decode($message->getBody(), true);
//        dump($payload);

        // dump($payload);
        // $c = $this->transferFactory->create('douyuyb')->upload($payload['url'], $payload['name']);

        return Result::ACK;
    }
}
