<?php

declare(strict_types=1);
/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */
namespace App\Transfer;

class TransferFactory
{
    private array $transfer = [
        'douyuyb' => DouyuYBTransfer::class,
    ];

    public function create(string $name): TransferInterface
    {
        if (! isset($this->transfer[$name])) {
            throw new \InvalidArgumentException(sprintf('Transfer %s not found.', $name));
        }
        return make($this->transfer[$name]);
    }
}
